using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.LR;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查依据")]
    public class T_SK_CHECK_CONTENTS_BASIC : MesEntityBase
    {
        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Contents", "Nav_ContentsBasics")]
        public Guid? CHECK_CONTENTS_ID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [NotMapped]
        public virtual T_SK_CHECK_CONTENTS Nav_Contents { get; set; }

        /// <summary>
        /// 法律法规库
        /// </summary>
        [Description("法律法规库")]
        [DataFieldForeignKey("Nav_Law")]
        public Guid? LAW_ID { get; set; }

        /// <summary>
        /// 导航属性：法律法规库
        /// </summary>
        [Description("导航属性：法律法规库")]
        [NotMapped]
        public T_LR_LAW Nav_Law { get; set; }

        [Description("是否集团数据")]
        public Boolean JT_SYNC { get; set; }
    }
}
